Package org.apache.tapestry5.internal.plastic

## Class AnnotationBuilder

- java.lang.Object
- - org.apache.tapestry5.internal.plastic.asm.AnnotationVisitor
  - - org.apache.tapestry5.internal.plastic.AbstractAnnotationBuilder
    - - org.apache.tapestry5.internal.plastic.AnnotationBuilder

-     public class AnnotationBuilder
      extends AbstractAnnotationBuilder

- - ### Field Summary

    - ### Fields inherited from class org.apache.tapestry5.internal.plastic.AbstractAnnotationBuilder

      `pool`

    - ### Fields inherited from class org.apache.tapestry5.internal.plastic.asm.AnnotationVisitor

      `api, av`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AnnotationBuilder​(Class annotationType, PlasticClassPool pool)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `createAnnotation()` |
    `protected Class` | `elementTypeForArrayAttribute​(String name)` |
    `protected void` | `store​(String name, Object value)` |

    - ### Methods inherited from class org.apache.tapestry5.internal.plastic.AbstractAnnotationBuilder

      `visit, visitAnnotation, visitArray, visitEnd, visitEnum`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotationBuilder

          public AnnotationBuilder​(Class annotationType,
                                   PlasticClassPool pool)

  - ### Method Detail

    - #### store

          protected void store​(String name,
                               Object value)

      Specified by:
        `store` in class `AbstractAnnotationBuilder`

    - #### elementTypeForArrayAttribute

          protected Class elementTypeForArrayAttribute​(String name)

      Overrides:
        `elementTypeForArrayAttribute` in class `AbstractAnnotationBuilder`

    - #### createAnnotation

          public Object createAnnotation()